﻿using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using NPOI.SS.Formula.PTG;
using SkiaSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Attributes;
using ZhonTai.Admin.Core.Consts;
using ZhonTai.Admin.Services.DiTuiAPI.Dto;
using ZhonTai.DynamicApi;
using ZhonTai.DynamicApi.Attributes;

namespace ZhonTai.Admin.Services.DiTuiAPI
{
    /// <summary>
    /// 首页接口
    /// </summary>
    /// <returns></returns>
    [DynamicApi(Area = AdminConsts.DiTuiName)]
    public class IndexService : BaseService, IIndexService, IDynamicApi
    {

        /// <summary>
        /// 首页信息
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        [AllowAnonymous]
        [NoOprationLog]
        public async Task<IndexOutput> IndexAsync()
        {
            IndexOutput indexOutPut = new IndexOutput();
            indexOutPut.Name = "99地推";
            indexOutPut.Tips = "推广要求:杜绝任何虚假、作弊、违法行为!";

            List<Imgs> imgsList = new List<Imgs>();
            imgsList.Add(new Imgs(
                "https://test-dt.zhongjie51.com/assetsImg/lunbo1.png",
                "1",
                "11",
                "2023-01-11 11:11:11",
                "2023-11-11 11:11:11",
                "99"
                ));
            imgsList.Add(new Imgs(
                "https://test-dt.zhongjie51.com/assetsImg/lunbo2.png",
                "2",
                "222",
                "2023-02-02 12:12:12",
                "2023-12-22 14:59:49",
                "99"
                ));
            imgsList.Add(new Imgs(
                "https://test-dt.zhongjie51.com/assetsImg/lunbo3.png",
                "3",
                "333",
                "2023-03-03 12:12:12",
                "2023-12-30 14:59:49",
                "99"
                ));

            indexOutPut.Imgs = imgsList;


            List<Notice> notices = new List<Notice>();
            List<string> tags = new List<string>();
            tags.Add("最新");
            tags.Add("重要");
            List<string> importentTags = new List<string>();
            importentTags.Add("重要");
            notices.Add(new Notice(tags,"平台悬赏任务、游戏试玩任务上线通知…","11"));
            notices.Add(new Notice(importentTags, "快手极速版直推版价格政策调整通知", "22"));
            notices.Add(new Notice(tags, "12月平台项目重要通知请注意查看!12月平台项目重要通知请注意查看!", "33"));
            indexOutPut.Notice = notices;

            List<Settlement> settlements = new List<Settlement>();
            settlements.Add(new Settlement("抖音电商1分购-高价版", "未结算"));
            settlements.Add(new Settlement("京喜特价-发货版", "已结算至03月20日"));
            settlements.Add(new Settlement("抖音电商1分购-稳定版", "已结算至03月20日"));
            settlements.Add(new Settlement("兴业数字人民币", "已结算至03月20日"));
            settlements.Add(new Settlement("抖音极速地推版", "已结算至03月20日"));
            settlements.Add(new Settlement("易行通ETC(自助发货)", "已结算至03月20日"));
            settlements.Add(new Settlement("抖美团外卖-关注公众号", "已结算至03月20日"));
            settlements.Add(new Settlement("抖音电商1分购-高价版", "已结算至03月20日"));
            settlements.Add(new Settlement("抖音电商1分购-高价版", "已结算至03月20日"));
            ;
            indexOutPut.settlement = settlements;

            return indexOutPut;
        }

    }
}
